/* begincopyright
  Copyright (c) 1988-1990 Xerox Corporation. All rights reserved.
  Use and copying of this software and preparation of derivative works based
  upon this software are permitted. Any distribution of this software or
  derivative works must comply with all applicable United States export
  control laws. This software is made available AS IS, and Xerox Corporation
  makes no warranty about the software, its performance or its conformity to
  any specification. Any person obtaining a copy of this software is requested
  to send their name and post office or electronic mail address to:
    PCR Coordinator
    Xerox PARC
    3333 Coyote Hill Rd.
    Palo Alto, CA 94304
  endcopyright */

/*
 * NullPackageStub.c
 *
 * Null package, included by default in LIB/CONFIG_DIR/xr.a.
 *
 * Demers, April 13, 1990 11:45:31 am PDT
 */

#include <xr/BasicTypes.h>

/* parameters ... */



static char *(XR_packageDefaultArgs[]) = {
    /* "-tmp", "/tmp/", or any other pcr switches you want */
    "--",	/* separates switches and commands */
    "-install_and_run_package",
    "--"	/* command line gets inserted here */
    /* "-@" or anything else you want after comand line */
};


void
XR_GetPackageDefaultArgs(argc_ptr, argv_ptr)
    int *argc_ptr;
    char ***argv_ptr;
{
    if( (argc_ptr == NIL) || (argv_ptr == NIL) ) return;
    *argv_ptr = XR_packageDefaultArgs;
    *argc_ptr = (sizeof XR_packageDefaultArgs) / (sizeof (char *));
}


void
XR_SetupPackage()
{
    /* can register commands */
    return;
}


void
XR_InstallAndRunPackage()
{
    /* install and run */
    return;
}

